Subject: [Sip] Record routing primary and secondary locations

From: "Brett Tate" <[email-masked]>
Date: Thu, 25 Oct 2001 17:23:39 -0400

Hi,

At various times on this list people have 
alluded to the various possibilities to 
help ensure that a request can traverse a 
route for an established call-leg even 
when a proxy is down.  Has such 
functionality been capture in an IETF 
draft?  If so, which one?

Otherwise it would be nice to capture
a solution within rfc2543bis or another
document.

Proposal 1) 
Only send to one location.  If it is down, 
too bad.  Wait for it come back up or 
release the call.  This greatly reduces 
the number of fault tolerant architecture 
possibilities.  I think that this
is the only thing documented today.
Please correct me if I am wrong.

Proposal 2) 
Bypass a route location if is down.  
This bad because the sender can potentially 
bypass an "important" hop for the call or 
a hop that renders the subsequent hops
unreachable.

Proposal 3) 
Only allow it to been done through DNS 
lookups returning multiple address.  This 
only works for DNS capable products.
Are there other problems with this
proposal?

Proposal 4) 
Use the maddr as a primary and host as 
the secondary.  Are there problems with
this proposal?  I think that this was the
latest proposal, however it might have
been a dream since I couldn't locate the
email thread. :(

Proposal 5)
Create a SIP extension to introduce a new 
Route parameter that indicates what should 
happen on failure to reach the appropriate 
location specified by the Route entry.

Cheers,
Brett

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip